import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
declare const TextField: {
    ({ type, id, name, value, placeholder, required, disabled, phase, onChange }: propsTypes): React.ReactElement;
    propTypes: {
        type: PropTypes.Requireable<string>;
        phase: PropTypes.Requireable<string>;
        id: PropTypes.Requireable<string>;
        name: PropTypes.Requireable<string>;
        value: PropTypes.Requireable<string>;
        placeholder: PropTypes.Requireable<string>;
        required: PropTypes.Requireable<boolean>;
        disabled: PropTypes.Requireable<boolean>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        type: string;
        phase: string;
        id: undefined;
        name: undefined;
        value: undefined;
        placeholder: undefined;
        required: undefined;
        disabled: undefined;
        onChange: undefined;
    };
};
export default TextField;
